<script setup lang="ts">
import UserApiV1 from '@/api/userApi';
import { onMounted, ref } from 'vue';

// Ref para almacenar los datos del usuario
const userData = ref<{ id: number }>({ id: 0 });

// Instancia de la API de usuario
const users = new UserApiV1()

// Método para obtener los datos del usuario
const getUser = async () => {
  try {
    const responseUserData = await users.getUserById();
    userData.value = responseUserData.data.data;
    console.log('getUser userData:', userData.value);
  } catch (error) {
    console.error('Error getUserById', error);
  }
};

// Mounted lifecycle hook
onMounted(getUser);
</script>

<template>
    <SettingsTemplate>
        <FullUserFormTemplate :user-data="userData" />
    </SettingsTemplate>
</template>

<style scoped></style>
